1

I have a Note4 which was shipped from the UAE (but I don't live in UAE). The current version of the device is 6.0.1 and I want to downgrade it to 4.4.4 (the stock version). I am having some trouble selecting the right firmware and was hoping if someone could help.

I came across this: http://www.sammobile.com/firmwares/database/SM-N910C/XSG/ but I don't know which version to choose. My phone's baseband version (N910CXXU1DPC1) is not listed here.

Can I choose any 4.4.4 version and hope it will work on my phone ?

1

According to this site, this is for Region XEO, which would be Poland, located here. You can't just choose any version and have it work, and Samsung is known to not allow you going backwards in firmware versions due to a lock in the bootloader preventing this. You may be able to go back to 5.1.1, but most likely not 2 Android versions backwards, and even going back to 5.1.1 may not be possible.

  • 1
    I was just about to say the same about bootloader, but after a brief search it looks like crossing the line between KitKat and Lollipop on this phone is possible without any extra steps. Still advise caution for OP. – Andy Yan Sep 28 '16 at 15:30
  • Thx RMarkwald. That confused me even more. In the "About device" section I see the country as UAE. Shall I try to downgrade to 5.1.1 ? Can I use Kies to recover my phone in case I run into issues ? – deepak Sep 28 '16 at 15:39
  • That is totally up to you if you want to try to downgrade. Personally, I wouldn't do it. The only times I've flashed things were using Odin to do so. I've never used Kies, I've always flashed the device and set it up from scratch. – DukeSilversJazz Sep 28 '16 at 16:31
1

As long as downgrading itself is possible and the firmware is of the right model, firmware from any region will work, you just get a different set of preinstalled stuff and slightly tweaked modem for the corresponding region. This is why I always go for European (XX) firmwares - they're simply cleaner and still work.

  • Thank you Andy. Can you suggest me a European firmware for 5.1.1 (english version) which will work on my phone ? – deepak Sep 28 '16 at 15:40
  • Like I said, anything as long as it's the same model. I just search for "XX" in the list and grab the one whose PDA version (the last 3 letters in the version) is the latest. Also, don't use Kies - backup and use Odin as instructed. – Andy Yan Sep 28 '16 at 23:35

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.